
/******************************************************************
  (C) Copyright 2001 by UNITED BYTES
   
  web:  http://www.unitedbytes.de
        http://www.unitedbytes.org
		http://www.unitedbytes.net
  mail: info@unitedbytes.de

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, 
  Boston, MA  02111-1307, USA.

  *****************************************************************

  Program:      POP3 Test-Program
  File:         main.cpp
  Author:       Andreas Loeffler
  Date:         Mon, 10.04.2001
  Version:      1.0
  Description:  Small test program for POP3 class

  -----------------------------------------------------------------

  Changes:		-
  Date:			-
  Description:	-

  *****************************************************************/

#include "sources/cub_pop.h"

// Header file for console handling
#include <conio.h>

void main ()
{
	CUB_popClient	  popClient;
	CUB_popClientInfo popInfo;

	//////////////////////////////////////////////////////////////////////////////////////////
	// Fill out the popClient structure:
	//
	//		- m_cMailboxName = myname@mydomain.com
	//		- m_cPassword    = mypassword
	//////////////////////////////////////////////////////////////////////////////////////////

	printf ("*** POP3 Test - by United Bytes ***\n\n");

	// Get the mail box name
	printf ("Enter account name: ");
	scanf ("%s", popInfo.m_cMailboxName);

	// Get the password
	printf ("\nEnter account password: ");
	scanf ("%s", popInfo.m_cPassword);

	// Get the mail server address
	printf ("\nEnter POP3 server address: ");
	scanf ("%s", popInfo.m_cPopServer);

	// Get the server port
	printf ("\nEnter server port (default is 110): ");
	scanf ("%ld", &popInfo.m_lServerPort);

	// Connect to a mail server of your provider
	if (!popClient.ConnectToPOP3 (&popInfo)) 
	{
		printf ("ERROR: %s\n", popClient.m_cErrorText);
	}
	else {
		printf ("Connected!\n");

		printf ("You have %ld new messages which have %ld bytes!\n", popClient.GetNumMessages (), popClient.GetSizeOfMessages());

		while (true)
		{
			popClient.MessageManager ();

			if (kbhit ()) 
				break;
		}
	
		popClient.Shutdown ();
	}
}